# std::_Maybe_unary_or_binary_function< _Res, _T1, _T2 > Struct Template Reference

Derives from `binary_function`, as appropriate. More...

Inheritance diagram for std::_Maybe_unary_or_binary_function< _Res, _T1, _T2 >:

List of all members.

## Public Types

- typedef _T1 first_argument_type
- typedef _Res result_type
- typedef _T2 second_argument_type

## Detailed Description

### template<typename _Res, typename _T1, typename _T2>
struct std::_Maybe_unary_or_binary_function< _Res, _T1, _T2 >

Derives from `binary_function`, as appropriate.

Definition at line 518 of file tr1_impl/functional.

## Member Typedef Documentation

typedef _T1 std::binary_function< _T1 , _T2 , _Res >::first_argument_type `[inherited]`

the type of the first argument (no surprises here)

Definition at line 114 of file stl_function.h.

typedef _Res std::binary_function< _T1 , _T2 , _Res >::result_type `[inherited]`

type of the return type

Definition at line 118 of file stl_function.h.

typedef _T2 std::binary_function< _T1 , _T2 , _Res >::second_argument_type `[inherited]`

the type of the second argument

Definition at line 117 of file stl_function.h.

The documentation for this struct was generated from the following file:

- tr1_impl/functional